#!/bin/sh

BASEDIR=$1
OUTDIR=$2
count=1
ext=.jpg
cd $BASEDIR
for f in $(find . -type f -name '*.zip')
do 

	filepattern=$(echo $f | cut -d"_" -f6)"_"$(echo $f | cut -d"_" -f3)"_B"
	filename=$OUTDIR$filepattern
	echo $filename
	if [  ! -e $filename"02.jp2" -o ! -e $filename"03.jp2" -o ! -e $filename"04.jp2" ]; then

		unzip -n -j $f *B02.jp2 *B03.jp2 *B04.jp2 -d $OUTDIR 
	else
		echo PASS $f
	fi

	
	cd $OUTDIR
	red=$(ls $filepattern"04.jp2" -t |head -1)
	green=$(ls $filepattern"03.jp2" -t |head -1)
	blue=$(ls $filepattern"02.jp2" -t |head -1)

	echo "red-"$red
	echo "gre-"$green
	echo "blu-"$blue

#	if [  ! -e $filepattern"04.jpg" ]; then
#		gdal_translate -projwin $3 -projwin_srs WGS84 -ot Byte -scale 0 4096 0 255 -of JPEG $red $filepattern"04.jpg"
#	fi

#	if [  ! -e $filepattern"03.jpg" ]; then
#		gdal_translate -projwin $3 -projwin_srs WGS84 -ot Byte -scale 0 4096 0 255 -of JPEG $green $filepattern"03.jpg"
#	fi

#        if [  ! -e $filepattern"02.jpg" ]; then
#		gdal_translate -projwin $3 -projwin_srs WGS84 -ot Byte -scale 0 4096 0 255 -of JPEG $blue $filepattern"02.jpg"
#	fi

	if [ ! -d "rgb" ]; then
		mkdir rgb
	fi

	fileout1=$(echo $filepattern | cut -d"_" -f1)
        fileout2=$(echo $filepattern | cut -d"_" -f2)

#	convert $filepattern"04.jpg" $filepattern"03.jpg" $filepattern"02.jpg" -resize 640x480\! -combine video/$fileout2"_"$fileout1".jpg"

	if [  ! -e rgb/$fileout2"_"$fileout1".jp2" ]; then
		gdal_merge.py -separate -co PHOTOMETRIC=RGB -o rgb/$fileout2"_"$fileout1".jp2" $filepattern"04.jp2" $filepattern"03.jp2" $filepattern"02.jp2"
	fi



        if [ ! -d "video" ]; then
                mkdir video 
        fi

        if [  ! -e video/$fileout2"_"$fileout1".jpg" ]; then

	        gdal_translate -projwin $3 -projwin_srs WGS84 -ot Byte -scale 0 4096 0 255 -of JPEG rgb/$fileout2"_"$fileout1".jp2" video/$fileout2"_"$fileout1".jpg"
	        convert video/$fileout2"_"$fileout1".jpg" -resize 640x480\!  video/$fileout2"_"$fileout1".jpg"
	fi


	cd ..

done


cd out/video
ffmpeg  -i %*.jpg -c:v libx264 -vf fps=10 -pix_fmt yuvj422p out.mp4

